Intellij 5.1.2 and JUnit4 - is it supported ?

I've been trying to find any forums threads on this and can't.

is it supported ?

4 comments

no response ? not even a plugin to help using junit4 and 5.1.2 ?

I guess it means no support.

0

I don't think JUnit 4 support came along until IntelliJ 6. I am guessing, but I don't think JUnit 4 even existed when IntelliJ 5 came out.

0

good point. I guess the only way to support it is through plugins. I'll have a look in the plugins section. If anyone knows a link to one please post.

0

I don't think you are going to have much luck. I don't think JDK5 was out when IntelliJ5 came out. That will mean that the JVM will not support annotations, which is integral to JUnit4. It sounds like now is a time for an upgrade!

0

Please sign in to leave a comment.